Scriptname _tcultima extends ObjectReference  

MiscObject Property Mailbox  Auto 
MiscObject Property Gold  Auto  
Actor Property Player  Auto   
Int Property Value Auto
GlobalVariable Property _tcUltimaTax  Auto  
GlobalVariable Property _tcUltimaWait  Auto  
GlobalVariable Property _tcUltimaSpeechCalc  Auto  
Float Property Tax  Auto  
Float Property Wait Auto

Event OnItemAdded(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akSourceContainer)
	if akSourceContainer == Player
		Value = Value + (akBaseItem.GetGoldValue() * aiItemCount)
	endif
endEvent

Event OnItemRemoved(Form akBaseItem, int aiItemCount, ObjectReference akItemReference, ObjectReference akDestContainer)
	Value = Value - (akBaseItem.GetGoldValue() * aiItemCount)
	if Value < 0
		Value =0
	endif
endEvent

Event OnClose(ObjectReference akActionRef)
	if akActionRef == Player
		Wait = _tcUltimaWait.GetValue()
		RegisterForUpdateGameTime(Wait)
	endif
endEvent

Event OnUpdateGameTime()
	UnregisterForUpdateGameTime()
	if (_tcUltimaSpeechCalc.GetValue() == 0)
		Tax = _tcUltimaTax.GetValue()
	else
		Tax = (105 - Player.GetAV("Speechcraft"))
		if (Tax > 50)
			Tax = 50
		endif
	endif
		Value -= (Value * (Tax As Int))/100
		RemoveAllItems()
		AddItem(Gold, Value)
		Value = 0
endEvent

Event OnActivate(ObjectReference akActionRef)
	if akActionRef == Player
		if Player.IsSneaking() == True
			Player.AddItem(Mailbox,1)
			UnregisterForUpdateGameTime()
			RemoveAllItems(akTransferTo = Player)
			Disable()
			Delete()
		else
			Activate(Player, true)
		endif
	endif
endEvent




