Scriptname _tcUltimaBox extends ObjectReference  

import utility
import debug

Actor Property Player  Auto  
Container Property Mailbox  Auto  

Event OnLoad()
	BlockActivation()
endEvent

Event OnActivate(ObjectReference akActionRef)
	if akActionRef == Player
		if Player.IsSneaking() == True
			Float posX = GetPositionX();
			Float posY = GetPositionY() ;	
			Float posZ = Game.GetPlayer().GetPositionZ() + 30;	
			Float angX = Game.GetPlayer().GetAngleX();
			Float angY = Game.GetPlayer().GetAngleY();
			Float angZ = Game.GetPlayer().GetAngleZ();
			ObjectReference toPlace = Self.PlaceAtMe(Mailbox)		
			toPlace.SetPosition(posX, posY, posZ)
			toPlace.SetAngle(0, angY, angZ)
			Disable()
			Delete()	
		else
			Player.AddItem(Self,1)
		endif
	endif
endevent

